<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 
for($registro=$inicio;$registro<=$final;$registro++):
$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);					 

 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
         
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza

				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=275;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,$cotaFinal);
					 
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
					 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
                     $largo1=114;
					 $largo2=41;
					 $largo3=33;
                     $posicaoCab1=$margemEsquerda+$largo1;
					 $posicaoCab2=$posicaoCab1+$largo2;
					 $pdf->SetFont('Arial','B',8);
					 
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	
					 $pdf->Line($posicaoCab2,$cota1,$posicaoCab2,$cota2);
					 //linha vertical a direita do timbre
					 $pdf->SetFont('Arial','',8);
					 
					 $cota1=5;
					 //dados do laboratorio/parte da esquerda
					 $pdf->setXY($margemEsquerda,$cota1); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[0]),0,1,'L');


					 $pdf->setXY($margemEsquerda,$cota1+5); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+10); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+15); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+20); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');

                     //parte central do cabeçalho  
					 $pdf->SetFont('Arial','B',8);

					 $pdf->setXY($posicaoCab1,$cota1);
					 $pdf->Cell($largo2,5,utf8_decode('FICHA DE ANÁLISE'),0,1,'L');
					 $pdf->SetFont('Arial','',8);

					 $pdf->setXY($posicaoCab1,$cota1+5);
					 $pdf->Cell($largo2,5,utf8_decode('AMOSTRA Nº:').$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],0,4),0,1,'L');//lab nome
					 $pdf->setXY($posicaoCab1,$cota1+8);
					 $pdf->Cell($largo2,5,utf8_decode('BAS Nº:'),0,1,'L');//lab nome
					 $pdf->setXY($posicaoCab1,$cota1+15);
					 $pdf->Cell($largo2,5,utf8_decode('INFORMAÇÃO Nº:'),0,1,'L');//
					 $pdf->setXY($posicaoCab1,$cota1+20);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->Cell($largo2,5,'Data:__________   Rubrica:    ',0,1,'L');

                     //parte da direita do cabecalho 
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($posicaoCab2,$cota1);

	
					 $pdf->SetFont('Arial','',8);

			        $vetorNormas=$objetocalculo->capturaNormas("Ficha","ADV",$idLabo);
					$posicaoNorma=$margemEsquerda+$largo1+$largo2;
					 $largo2=33;;
					if(substr($cliente,0,5)!='TS LA'):
						//$pdf->Rect($posicaoNorma,5,40,15);
						$pdf->setXY($posicaoNorma,10);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[1]),0,0);
						$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
						$pdf->setXY($posicaoNorma,18);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
                    endif;


				     ################IDENTIFICACAO DA AMOSTRA##################################################
				     $largo1=100;
					 $largo2=40;
					 $largo3=54;				   

					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				    
					 //primeira linha 
					 $cota1+=25;       
					 $pdf->SetXY($margemEsquerda,$cota1);
				  	 $pdf->SetFont('Arial','B',9);
					 $pdf->Cell($largo1,5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L'); 
					 $pdf->SetFont('Arial','I',9);
					 $pdf->Cell($largo2,5,utf8_decode($vetorCapturaGeral[30]),0,0,'L'); 

                     //segunda linha  					 
					 $pdf->SetXY($margemEsquerda,$cota1+5);
					 $pdf->SetFont('Arial','',7);
					 $pdf->Cell($largo1,4.5,utf8_decode('Cultivar:'.$vetorCapturaGeral[31]),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Safra:'.$vetorCapturaGeral[34]),0,0,'L');
					 $pdf->Cell($largo3,4.5,utf8_decode('Categoria:'.$vetorCapturaGeral[33]),0,0,'L');
               
                     //terceira linha  
					 $pdf->SetXY($margemEsquerda,$cota1+9);
					 $pdf->Cell($largo1,4.5,utf8_decode('Lote:'.$vetorCapturaGeral[2]),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Represent:'.$vetorCapturaGeral[6]),0,0,'L');
					 $pdf->Cell($largo3,4.5,utf8_decode('Balança:'.$vetorCapturaGeral[79]).'  Peso amostra:'.$vetorCapturaGeral[65],0,0,'L');
					 //quarta linha
					 $pdf->SetXY($margemEsquerda,$cota1+13);
					
					 $pdf->Cell($largo1,4.5,'Recebida em:'.date("d/m/Y",strtotime($vetorCapturaGeral[36])),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Peneira:'.$vetorCapturaGeral[35]),0,0,'L');
					 $tratamentoCampo=strtoupper($vetorCapturaGeral[66] ?? "");
                   	 if($tratamentoCampo=='-O-' || $tratamentoCampo=='-0-'):                   	     $tratamentoCampo='Não tratada';				 
					 else:
					     $tratamentoCampo=$vetorCapturaGeral[66];
					 endif;
					 $pdf->Cell($largo3,4.5,utf8_decode('Tratada:'.$tratamentoCampo),0,0,'L');
                     //quinta linha
					 $pdf->SetXY($margemEsquerda,$cota1+17);
					 $pdf->Cell($largo1,4.5,utf8_decode('Remetente:'.$vetorCapturaGeral[42]),0,0,'L');
					 $pdf->Cell($largo2+20,4.5,utf8_decode('Procedência:'.$vetorCapturaGeral[58]),0,0,'L');
					 $pdf->Cell($largo3-20,4.5,utf8_decode('Data/Ident:'.$vetorCapturaGeral[107]),0,0,'L');
                     //sexta linha
					 $pdf->SetXY($margemEsquerda,$cota1+21);
					 $pdf->Cell(70,4.5,utf8_decode('Registrador:'.$vetorCapturaGeral[80]),0,0,'L');
					 $pdf->Cell(110,4.5,utf8_decode('Testes a realizar:'.$vetorCapturaGeral[44]),0,0,'L');
					 
					 //aqui vou fazer algo que depois posso colocar na classe calculos
					 //verificar se foi marcado pureza e nocivas para que coloque -O- caso nao foi solicitado isso
					 $todosTestes=$vetorCapturaGeral[44];
					 $tama=strlen($todosTestes);
					 $marcouPureza="NAO";
					 $marcouNocivas="NAO";
					 if($tama>3)://se nao marcou nada entao ne testa
                       for($i=1;$i<=$tama;$i++):
                          if(substr($todosTestes,$i,1)==";")://localiza o separador ;
                              if(substr($todosTestes,$i-3,3)=="PUR")$marcouPureza="SIM";
                              if(substr($todosTestes,$i-3,3)=="DOS")$marcouNocivas="SIM";
                          endif;						  
					   endfor;                         					 
					 endif;
                     //VAI COLOCAR -O- EM TODOS LOCAIS ONDE DEU MARCOUPUREZA="NAO"					 
                     if($marcouPureza=='NAO'):
						 $pdf->SetXY($margemEsquerda+40,$cota1+37);
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
					     $pdf->Cell(15,4.5,'-O-',0,0,'L');//no lugar do percentual
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
					     $pdf->Cell(40,4.5,'-O-',0,0,'L');//no lugar do percentual
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');

                         //em outras sementes
						 $pdf->SetXY($margemEsquerda+135,$cota1+51);
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
                         //em outras cultivares
						 $pdf->SetXY($margemEsquerda+100,$cota1+65);
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
                         //em outras especies cultivadas e silvestres
						 $pdf->SetXY($margemEsquerda+20,$cota1+85);
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
					 endif;
                     //se marcou ncivas
                     if($marcouNocivas=='NAO'):
						 $pdf->SetXY($margemEsquerda+140,$cota1+85);
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
					 endif;



					  ##############cria setor de purezaaaa###############################################3
					 $cota1+=25;
					 $larguraPadrao=18;
					 $largo1=35;
					 $largo2=$larguraPadrao;
					 $largo3=$larguraPadrao;
					 $largo4=$larguraPadrao;
					 $largo5=$larguraPadrao;

					 $posicaoMeio=$margemEsquerda+$largo1+4*$larguraPadrao;//era 97
				     $altura=5.5;
					 $cota1a=$cota1+1*$altura;
					 $cota1b=$cota1+2*$altura;
					 $cota1c=$cota1+3*$altura;
					 $cota1d=$cota1+4*$altura;
					 $cota1e=$cota1+5*$altura;
					 $cota1f=$cota1+6*$altura;
					 $cota1g=$cota1+7*$altura;
					
				     //as linhas verticais de pureza
					 $cota4=93;
					 $posicao1=$margemEsquerda+$largo1;                        
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         
					 $posicao4=$margemEsquerda+$largo1+$largo2+$largo2+$largo2; 
				     $pdf->Line($posicao1,$cota1a,$posicao1,$cota4);//
					 $pdf->Line($posicao2,$cota1a,$posicao2,$cota4);//
					 $pdf->Line($posicao3,$cota1a,$posicao3,$cota4);//
					 $pdf->Line($posicao4,$cota1a,$posicao4,$cota4);//


				     //as linhas horizontatis  de pureza
					 $pdf->Line($margemEsquerda,$cota1b,$posicaoMeio,$cota1b);//
					 $pdf->Line($margemEsquerda,$cota1c,$posicaoMeio,$cota1c);//
					 $pdf->Line($margemEsquerda,$cota1d,$margemDireita,$cota1d);////LINHA QUE AFICA ACIMA DE OUTRAS SMENTES
					 $pdf->Line($margemEsquerda,$cota1e,$posicaoMeio,$cota1e);//
					 $pdf->Line($margemEsquerda,$cota1f,$posicaoMeio,$cota1f);//
					 $pdf->Line($posicaoMeio,$cota1a,$posicaoMeio,$cota4+5);//linha vertical final de pureza e inicio de naturaza do material inerte

				     //textos de pureza
					 
					 $pdf->SetXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',10);
					 $pdf->Cell(80,5.5,utf8_decode('ANÁLISE DE PUREZA: (Em').$vetorCapturaGeral[91].'g)',1,0,'L');
					 $pdf->SetFont('Arial','',7);
					 $pdf->Cell(70,5.5,utf8_decode('Balança:'.$pdf->vetorFicha[9]),1,0,'L');
					 $pdf->Cell(44,5.5,utf8_decode('Data/Rubrica:'),1,0,'L');
					 
					 
					 
					 $pdf->SetXY($posicao1,$cota1a);
					 $pdf->Cell($largo2,4.5,'g',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'%',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'g',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'%',0,0,'C');	
					 
					 $pdf->SetXY($posicaoMeio,$cota1a);
					 $pdf->Cell(90,4.5,'Natureza do Material Inerte:',0,1,'C');
					 $pdf->SetXY($posicaoMeio,$cota1d);
					 $pdf->Cell(90,4.5,'Outras sementes:',0,1,'L');
					 $pdf->SetXY($margemEsquerda,$cota1b); $pdf->Cell(50,4.5,'Amostra de Trabalho',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1c); $pdf->Cell(50,4.5,'Sementes Puras',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1d); $pdf->Cell(50,4.5,'Material inerte.',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1e); $pdf->Cell(50,4.5,'Outras sementes',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1f); $pdf->Cell(50,4.5,'Peso final',0,0,'L');	
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
					 $cota1+=37;

					 $largura1=58;
					 $largura2=58;
					 $largura3=58;
					 $largura4=10;
					 $largura5=10;
					 $largura6=$largura3+$largura4+$largura5;
					 
					 //$largura3=$largura1+$largura2;

					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->Line($margemEsquerda,$cota1+1,$posicaoMeio,$cota1+1);//linha depois de peso final
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota1+1);
					 $pdf->cell(97,4.5,utf8_decode('VERIFICAÇÃO DE OC EM:(').$vetorCapturaGeral[92].'g)',0,0,'L');
					 $pdf->setXY(80,$cota1+1);
					 $pdf->cell(97,4.5,utf8_decode('Data/Rubrica:'),0,0,'L');
					 $cota1+=4;
					 $cota5=$cota1+46;
			         $cota1a=$cota1+3;
			         $cota1b=$cota1+8;
			         $cota1c=$cota1+13;
					 
					 $pdf->setXY($margemEsquerda,$cota1a);
					 $pdf->SetFont('Arial','B',9);
					 $pdf->cell($largura1+$largura2,5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO:'),1,1,'L');
					 $pdf->SetFont('Arial','',7);
					 $pdf->setXY($posicao2,$cota1a);
					 $pdf->cell($largura6,5,utf8_decode('Data/Rubrica:'),1,0,'L');	 
					 $pdf->setXY($margemEsquerda,$cota1b);
					 $pdf->cell($largura1,4.5,utf8_decode('Espécies Cultivadas em').$vetorCapturaGeral[94].'g',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'Sementes Silvestres: em '.$vetorCapturaGeral[94].'g',1,0,'C');	 
					 $pdf->cell($largura3,4.5,'Sementes Nocivas: em '.$vetorCapturaGeral[93].'g',1,0,'C');	 
					 $pdf->cell($largura4,4.5,'NT',1,0,'C');
					 $pdf->cell($largura5,4.5,'NP',1,1,'C');
					 $pdf->setXY($margemEsquerda,$cota5-5);
					 $pdf->Line($margemEsquerda,$cota5-5,$margemDireita,$cota5-5);
					 $pdf->cell($largura1-10,5,'Total:',1,0,'R');
					 $pdf->cell(10,5,'',0,0,'R');
					 $pdf->cell($largura2-10,5,'Total:',1,0,'R');
					 $pdf->cell(10,5,'',0,0,'R');
					 $pdf->cell($largura3,5,'Total:',1,0,'R');
				 					 
					 $pdf->setXY($posicao2,$cota1c);
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
				     //tres linhas verticais separando silvestres,nocivas e oesp 
					 $posicao3nt=$posicao2+$largura3; 
					 $posicao3np=$posicao2+$largura3+$largura4; 
					 $pdf->Line($posicao1,$cota1c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota1c,$posicao2,$cota5);
					 $pdf->Line($posicao3nt,$cota1c,$posicao3nt,$cota5);
					 $pdf->Line($posicao3np,$cota1c,$posicao3np,$cota5);
					 
					 
					 
					 
				     ################inicio da parte de GERMINACAO########################################
                     $cota1+=46;						 


			         $umQuarto=48.5;
			         $cota1a=$cota1+1*4.5;
			         $cota1b=$cota1+2*4.5;
			         $cota1c=$cota1+3*4.5;
			         $cota1d=$cota1+4*4.5;
			         $cota1e=$cota1+5*4.5;
			         $posicaoMeio=97; 
						 
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',10);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO'),1,0,'C');
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE:'),1,0,'C');
					 $pdf->SetFont('Arial','',7);

					 $pdf->setXY($margemEsquerda,$cota1a);
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Data/Rubrica:'),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Data/Rubrica:'),1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota1b);
					 $pdf->cell($umQuarto,4.5,'Substrato: RP-Rolo de Papel',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Substrato:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota1c);
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 
					 $pdf->setXY($margemEsquerda,$cota1d);
					 $pdf->cell($umQuarto,4.5,'Tratamento:',0,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',0,0,'L');
					 $pdf->cell($umQuarto,4.5,'Tratamento:',0,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',0,0,'L');
                     //coloca pequena linha vertical para separar tratamente
                     $pdf->Line($posicaoMeio+$margemEsquerda,$cota1d,$posicaoMeio+$margemEsquerda,$cota1d+4.5); 					 					 
				     ################iPARTE  ONDE VAO AS LEITURAS#######################################
				     
					 $vetor="";
	
				     $largo[1]=20;
					 $larguraMenor=16;
					 for($i=2;$i<=5;$i++)
					 {
					     $largo[$i]=$larguraMenor;
						 $largo[$i+5]=$larguraMenor;
				     }		  
					 //$largo[10]=20;
					 $vetor="";
					 $colunas=5;
					 
					 
					 $vetor[1][2]="A";$vetor[1][3]="B";$vetor[1][4]="C";$vetor[1][5]="D";
					 $vetor[2][1]="Normais:";
					 $vetor[5][1]=utf8_decode("Total");

					 $vetor[6][1]="Anormais";
					 $vetor[9][1]=utf8_decode("Total");

					 $vetor[10][1]="Duras( )Dorm( )";
					 $vetor[13][1]=utf8_decode("Total");

					 $vetor[14][1]=utf8_decode("Mortas");
					 $vetor[16][1]="	Total";
                     
					 /*
					  $vetor[1][2]="A";$vetor[1][3]="B";$vetor[1][4]="C";$vetor[1][5]="D";
					 $vetor[2][1]=$vetor[2][10]="Normais:";
					 $vetor[6][1]=$vetor[6][10]=utf8_decode("Total");

					 $vetor[7][1]=$vetor[7][10]="Anormais";
					 $vetor[11][1]=$vetor[11][10]=utf8_decode("Total");

					 $vetor[12][1]=$vetor[12][10]="Duras( )Dorm( )";
					 $vetor[16][1]=$vetor[16][10]=utf8_decode("Total");

					 $vetor[17][1]=$vetor[20][10]=utf8_decode("Mortas");
					 $vetor[19][1]=$vetor[23][10]="	Total";
					 
					 */
					 
					 
					 
					 
                     $cota1+=23;
                     $cota7=$cota1;
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 
					 for($i=1;$i<=$colunas;$i++):
					     $finalHorizontal+=$largo[$i];
					 endfor;	 
					 $posicao=$margemEsquerda;
	
					 $linhas=16;
                     $alturaEspacos=5.35;
				     //imprime a parte da esquerdaxxxxxxxxxxxxxxxxxxxxxx
					 $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetLineWidth($fino);
					     $pdf->SetXY($margemEsquerda,$linhaCalculada);
						 //coloca uma linha negritada separando normais/anoramis/dormentes/mprtas
						 if($L==6 || $L==10 || $L==14 ):
						    $pdf->SetLineWidth($grosso);
							$pdf->Line($margemEsquerda,$linhaCalculada,$margemEsquerda+96,$linhaCalculada);
						 endif;
						 $pdf->SetLineWidth($fino);
						 
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 //$pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],$alturaEspacos,$vetor[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=$alturaEspacos;
				     }
                     //imprime a metade da direitaxxxxxxxxxxxxxxxxxxx
                     $margemEsquerda1=$margemEsquerda+97; 
				     $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
						 $pdf->SetXY($margemEsquerda1,$linhaCalculada);
						 //coloca uma linha negritada separando normais/anoramis/dormentes/mprtas
						 if($L==6 || $L==10 || $L==14 ):
						    $pdf->SetLineWidth($grosso);
							$pdf->Line($margemEsquerda+98,$linhaCalculada,$margemEsquerda+193,$linhaCalculada);
						 endif;
						 $pdf->SetLineWidth($fino);

			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 //$pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],$alturaEspacos,$vetor[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=$alturaEspacos;
				     }
					 
					 
					 //imprime a palavra media
				     $linhaCalculada=$cota7;
					 $pdf->SetXY($margemEsquerda+84,$linhaCalculada);
					 $pdf->Cell(13,4.5,'Media',1,0,'C');	
					 $pdf->SetXY($margemEsquerda1+84,$linhaCalculada);
					 $pdf->Cell(13,4.5,'Media',1,0,'C');	

                     //aqui de determinacoes adiconai para baixo
					 $cota1+=86;
                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 //$pdf->SetFont('Arial','',8);
					 $pdf->cell(30,4,utf8_decode('Determinações adicionais:'),0,1,'L');
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->cell(150,3,utf8_decode('Data/Rubrica:'),0,1,'R');
					 
                     $cota1+=12;
					 

                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(20,4,utf8_decode('Observações:'),0,0,'L');
					 $pdf->cell(40,4,utf8_decode($vetorCapturaGeral[37]),0,0,'L');
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->cell(150,3,utf8_decode('Data/Rubrica:'),0,1,'R');
					 
					 //analista rt etc
					 $cota1+=12;
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',7);
					 $pdf->cell(25,4,utf8_decode('Analista:'),0,0,'L');
					 $pdf->cell(50,4,utf8_decode('Data:'),0,0,'R');
					 $pdf->cell(50,4,utf8_decode('RT:'),0,0,'R');


					 
				 endif;

             endwhile; //este while abre a amostras atraves do campo amostraLong
			 endfor;//este endfor encerra a varredura da amostra inicial ate aa final  
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
